commit:     510d11ec66f3399aad91e58310a40ad96d8a6dee
Author:     Alexis Ballier <aballier <AT> gentoo <DOT> org>
AuthorDate: Tue Jul 18 17:13:58 2017 +0000
Commit:     Alexis Ballier <aballier <AT> gentoo <DOT> org>
CommitDate: Tue Jul 18 17:18:24 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=510d11ec

sci-mathematics/coq: bump to 8.6.1

Package-Manager: Portage-2.3.6, Repoman-2.3.2

 sci-mathematics/coq/Manifest         |  1 +
 sci-mathematics/coq/coq-8.6.1.ebuild | 91 ++++++++++++++++++++++++++++++++++++
 2 files changed, 92 insertions(+)

diff --git a/sci-mathematics/coq/Manifest b/sci-mathematics/coq/Manifest
index 1579e488b9b..a0ddf10c480 100644
--- a/sci-mathematics/coq/Manifest
+++ b/sci-mathematics/coq/Manifest
@@ -1 +1,2 @@
+DIST coq-8.6.1.tar.gz 5588811 SHA256 
32f8aa92853483dec18030def9f0857a708fee56cf4287e39c9a260f08138f9d SHA512 
814ab76a06ca15f927081428da74add4bc67290199fa011853b9c68a00cdefaf813b10fbac18a434f4504fce8f2173eb544080bf6f50d62caa41bb8724b13083
 WHIRLPOOL 
e0d918909b9902acd4ab0f8b4b5ce425ed8a26e80f5e2714b7e0c38ed737b9c83eab3a7fc8ba1407298bdf24adbcd435771d5cd92f3e4296e04b5503aea44c2d
 DIST coq-8.6.tar.gz 5538848 SHA256 
6e3c3cf5c8e2b0b760dc52738e2e849f3a8c630869659ecc0cf41413fcee81df SHA512 
9f5f4913fda8cf83683fec9398b42d4567207c3d4b52b4638d5e09a24ed25a43905fb57a9fac1bb9f9d681bd47f3560e1da74e79348b3a3fd93e2e8c686cebae
 WHIRLPOOL 
714226c0f9138ea7dc9828db6dbc59e9b6e0c18ae305fc1a67c5c1c7a950ec1deabd37f462e20d1d1ddbd148a8bc3845a72f88f5ef6cbd4f93abfd02539dbcbc

diff --git a/sci-mathematics/coq/coq-8.6.1.ebuild 
b/sci-mathematics/coq/coq-8.6.1.ebuild
new file mode 100644
index 00000000000..9b09cfd79dd
--- /dev/null
+++ b/sci-mathematics/coq/coq-8.6.1.ebuild
@@ -0,0 +1,91 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="5"
+
+inherit eutils multilib
+
+MY_PV=${PV/_p/pl}
+MY_P=${PN}-${MY_PV}
+
+DESCRIPTION="Proof assistant written in O'Caml"
+HOMEPAGE="http://coq.inria.fr/";
+SRC_URI="http://${PN}.inria.fr/distrib/V${MY_PV}/files/${MY_P}.tar.gz";
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE="gtk debug +ocamlopt doc camlp5"
+
+RDEPEND="
+       >=dev-lang/ocaml-3.11.2:=[ocamlopt?]
+       camlp5? ( >=dev-ml/camlp5-6.02.3:=[ocamlopt?] )
+       !camlp5? ( dev-ml/camlp4:= )
+       gtk? ( >=dev-ml/lablgtk-2.10.1:=[sourceview,ocamlopt?] )"
+DEPEND="${RDEPEND}
+       dev-ml/findlib
+       doc? (
+               media-libs/netpbm[png,zlib]
+               virtual/latex-base
+               dev-tex/hevea
+               dev-tex/xcolor
+               dev-texlive/texlive-pictures
+               || ( dev-texlive/texlive-mathscience 
dev-texlive/texlive-mathextra )
+               dev-texlive/texlive-latexextra
+               )"
+
+S=${WORKDIR}/${MY_P}
+
+src_configure() {
+       ocaml_lib=$(ocamlc -where)
+       local myconf=(
+               -prefix /usr
+               -bindir /usr/bin
+               -libdir /usr/$(get_libdir)/coq
+               -mandir /usr/share/man
+               -emacslib /usr/share/emacs/site-lisp
+               -coqdocdir /usr/$(get_libdir)/coq/coqdoc
+               -docdir /usr/share/doc/${PF}
+               -configdir /etc/xdg/${PN}
+               -lablgtkdir ${ocaml_lib}/lablgtk2
+               )
+
+       use debug && myconf+=( -debug )
+       use doc || myconf+=( -with-doc no )
+
+       if use gtk; then
+               if use ocamlopt; then
+                       myconf+=( -coqide opt )
+               else
+                       myconf+=( -coqide byte )
+               fi
+       else
+               myconf+=( -coqide no )
+       fi
+
+       use ocamlopt || myconf+=( -byte-only )
+
+       if use camlp5; then
+               myconf+=( -usecamlp5 -camlp5dir ${ocaml_lib}/camlp5 )
+       else
+               myconf+=( -usecamlp4 )
+       fi
+
+       export CAML_LD_LIBRARY_PATH="${S}/kernel/byterun/"
+       ./configure ${myconf[@]} || die "configure failed"
+}
+
+src_compile() {
+       emake STRIP="true" -j1 world VERBOSE=1
+}
+
+src_test() {
+       emake STRIP="true" check VERBOSE=1
+}
+
+src_install() {
+       emake STRIP="true" COQINSTALLPREFIX="${D}" install VERBOSE=1
+       dodoc README.md CREDITS CHANGES
+
+       use gtk && make_desktop_entry "coqide" "Coq IDE" 
"${EPREFIX}/usr/share/coq/coq.png"
+}

Reply via email to